summaryrefslogtreecommitdiffstats
path: root/query/jquery/index
diff options
context:
space:
mode:
authorEUcancER <root@euer.krebsco.de>2011-09-05 01:43:30 +0200
committerEUcancER <root@euer.krebsco.de>2011-09-05 01:43:30 +0200
commit2cf53c89ee1027ef5629a71b3ca98c90a8801a17 (patch)
tree5a030f03fa85bc0e78129f959319ba32d17a278c /query/jquery/index
parent19289a7161d0f2cf2e210bdfe4cd702f6d71928c (diff)
parent761db6a8b30f254b5349395c939111dedd8cf16b (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'query/jquery/index')
-rwxr-xr-xquery/jquery/index19
1 files changed, 19 insertions, 0 deletions
diff --git a/query/jquery/index b/query/jquery/index
new file mode 100755
index 00000000..3c49dac9
--- /dev/null
+++ b/query/jquery/index
@@ -0,0 +1,19 @@
+#! /bin/sh
+set -euf
+
+# cd //
+cd $(dirname $(readlink -f $0))/../..
+
+for x in \
+ github/tmpvar \
+ github/mikeal \
+ github/NV \
+ github/tautologistics \
+; do
+ export NODE_PATH="$(readlink -f submodules/$x)${NODE_PATH+:$NODE_PATH}"
+done
+
+# ensure query is ready
+#git submodule update --init
+
+exec node submodules/github/visionmedia/query "$@"